ALTER TABLE ORDER_TABLE DROP CONSTRAINT FK_ORDER_TABLE_CUSTOMER_ID;
DROP TABLE ORDER_TABLE;
DROP TABLE CUSTOMER;
CREATE TABLE ORDER_TABLE (ORDER_ID NUMBER(10) NOT NULL, SHIPPING_ADDRESS VARCHAR2(255) NULL, CUSTOMER_ID NUMBER(10) NULL, PRIMARY KEY (ORDER_ID));
CREATE TABLE CUSTOMER (ID NUMBER(10) NOT NULL, NAME VARCHAR2(255) NULL, PRIMARY KEY (ID));
ALTER TABLE ORDER_TABLE ADD CONSTRAINT FK_ORDER_TABLE_CUSTOMER_ID FOREIGN KEY (CUSTOMER_ID) REFERENCES CUSTOMER (ID);
INSERT INTO CUSTOMER (ID, NAME) VALUES (1, 'Joe Smith');
INSERT INTO ORDER_TABLE (ORDER_ID, SHIPPING_ADDRESS, CUSTOMER_ID) VALUES (100, '123 Main St. Anytown, USA', 1);
INSERT INTO ORDER_TABLE (ORDER_ID, SHIPPING_ADDRESS, CUSTOMER_ID) VALUES (200, '567 1st St. Random City, USA', 1);
COMMIT;

