package jpatp.fetch;
import javax.persistence.*;
import static javax.persistence.CascadeType.*;

import java.util.Collection;

@Entity
public class Customer {

    private int id;
    private String name;
    private Collection<Order> orders;

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

//    @OneToMany(cascade=ALL, mappedBy="customer", fetch=FetchType.EAGER)
    @OneToMany(cascade=ALL, mappedBy="customer")
    public Collection<Order> getOrders() {
        return orders;
    }

    public void setOrders(Collection<Order> newValue) {
        this.orders = newValue;
    }

}
